Page MenuHomePhabricator

eina_mono: replace EinaAccessor and EinaIerator with IEnumerable
ClosedPublic

Authored by YOhoho on Dec 15 2019, 9:00 PM.

Details

Summary

Eina.Accessor<T> => System.Collections.IEnumerable<T>
Eina.Iterator<T> => System.Collections.IEnumerable<T>

Unit test will work with D10879.

ref T8486

Test Plan

meson build -Dbindings=mono,cxx -Dmono-beta=true

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Dec 15 2019, 9:00 PM
YOhoho requested review of this revision.Dec 15 2019, 9:00 PM
YOhoho edited the summary of this revision. (Show Details)Dec 15 2019, 9:02 PM

Unit test will work with D10879.

lauromoura accepted this revision.Dec 16 2019, 8:53 AM

Good to go. The other fixes/optimizations we can start landing on top of it.

This revision is now accepted and ready to land.Dec 16 2019, 8:53 AM
Closed by commit rEFLf90a97470d54: eina_mono: replace EinaAccessor and EinaIerator with IEnumerable (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by lauromoura). · Explain WhyDec 17 2019, 6:41 AM
This revision was automatically updated to reflect the committed changes.